 /*
  ____              _  _    _          ____             _ 
 / ___|  _ __ ___  (_)| |_ | |__      |  _ \  __ _   __| |
 \___ \ | '_ ` _ \ | || __|| '_ \     | |_) |/ _` | / _` |
  ___) || | | | | || || |_ | | | |    |  __/| (_| || (_| |
 |____/ |_| |_| |_||_| \__||_| |_|    |_|    \__,_| \__,_| UI

 Now called OSUI Framework. Classic Smith-Pad UI Framework
 for the Smith:-Pad Web Interface but now modern with 
 latest components for OSUI. Mixing in with FOIL-UI


 */
 
 body {
        font-family: Arial, Helvetica, sans-serif;
        margin: 0;
        overflow-y: auto;
        overflow-x: hidden;
        -webkit-perspective: 1px;
        perspective: 1px;
        background: #100e16;
        color: white;
}
 

/**************************************
 *      OSUI Framework Related
 *
 /* *********************************** */


.status-bar {
        padding: 3px 16px;
        display: grid;
        grid-template-columns: repeat(2, 10fr) repeat(3, 1fr);
        align-items: center;
        transition-duration: 0.5s;

}

/*******************************************************************************************************
 * FIXME: 
 * 		- This is commented for now, until we figure out how to prevent bouncy like effect
 * 		  when the user clicks or taps on the status bar button elements. 
 *
 *******************************************************************************************************/

/* .status-bar:hover { */
        /* background-color: rgb(0, 0, 0); */
        /* border-radius: 10px; */
        /* margin-bottom: 100px; */
        /* transform: scale(0.999); */
        /* padding: 16px 32px; */
        /* box-shadow:  200px 200px 600px #685b86, -200px -200px 600px #8272ac; */
/* } */



.status-bar-button {
        background-color: #241f31;
        text-decoration: none;
        color: white;
        border-style: none;
        padding: 10px;
        border-radius: 10px;
        box-shadow:  20px 20px 60px #1a1623, -20px -20px 60px #2e283f;
        margin-right: 100px;
}

.status-bar-button:hover {
        transition-duration: 0.5s;
        background-color: green;
}

.status-bar-left-column {
        display: flex;
        justify-content: flex-start;
}

.status-bar-right-column {
        display: flex;
        justify-content: flex-end;
}

.status-item {
        font-size: 16px;
        margin-right: 10px;
}





/**************************************
 *      FOIL-UI Related
 *
 /* *********************************** */

 .FOIL-navigation-bar-regular {
        background-color: transparent;
}

.FOIL-button-regular-no-shadow {
        border-radius: 10px;
        margin-right: 100px;
        padding: 15px 85px 15px 85px;
        background: #241f31;
        box-shadow:  20px 20px 60px #1a1623, -20px -20px 60px #2e283f;
}

.FOIL-button-regular-no-shadow:hover {
        border-radius: 10px;
        margin-right: 100px;
        padding: 15px 85px 15px 85px;
        background: #241f31;
        box-shadow:  200px 200px 600px #9080b6, -200px -200px 600px #8272ac;
}


.FOIL-button-regular-no-shadow:active {
        padding: 50px 50px 500px 50px;
        border-radius: 20px;
        transition-duration: 1s;
}

.FOIL-layout-regular-no-shadow {
        transition-duration: 0.5s;
        transform-origin: center center;
}


/*******************************************************************************************************
 * FIXME: 
 * 		- This is commented for now, until we figure out how to prevent the hover effect from 
 *                overlapping a FOIL-bar popup. 
 *
 *******************************************************************************************************/

/* .FOIL-layout-regular-no-shadow:hover {
        background-color: transparent;
        margin-bottom: 100px;
        border-radius: 100px;
        transition-duration: 0.5s;
        transform: scale(1.2);
        box-shadow:  200px 200px 600px #3b3547, -200px -200px 600px #383346;
} */

FOIL-font-size-40{color: white;}
